#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseX64=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#cs ----------------------------------------------------------------------------

 AutoIt Version : 3.3.14.5
 Auteur: administrateur

 Fonction du Script :
	Modèle de Script AutoIt.

#ce ----------------------------------------------------------------------------

; Début du script - Ajouter votre code ci-dessous.
#pragma compile(Icon, C:\Program Files (x86)\AutoIt3\Icons\au3.ico)
#include <Crypt.au3>
#include <String.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#Region ### START Koda GUI section ### Form=
Global $Form1 = GUICreate("ORANGE | GÉNÉRATEUR OPTION DHCP 90", 615, 322, 192, 124)
Global $Label1 = GUICtrlCreateLabel("Login Orange : ", 16, 16, 77, 17)
Global $Label2 = GUICtrlCreateLabel("Mot de Passe : ", 16, 48, 73, 17)
Global $Label3 = GUICtrlCreateLabel("Salt : ", 56, 80, 31, 17)
Global $Label4 = GUICtrlCreateLabel("Byte : ", 56, 112, 34, 17)
Global $Input1 = GUICtrlCreateInput("fti/", 96, 16, 121, 21)
Global $Input2 = GUICtrlCreateInput("", 96, 48, 121, 21)
Global $Input3 = GUICtrlCreateInput("1234567890123456", 96, 80, 121, 21)
Global $Input4 = GUICtrlCreateInput("A", 96, 112, 121, 21)
Global $Label5 = GUICtrlCreateLabel("Option DHCP 90", 24, 152, 83, 17)
Global $Edit1 = GUICtrlCreateEdit("", 24, 176, 561, 89, Bitor($ES_WANTRETURN, $WS_VSCROLL, $ES_AUTOVSCROLL))
Global $Button = GUICtrlCreateButton("Générer", 512, 280, 75, 25)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

While 1
 $nMsg = GUIGetMsg()

 Switch $nMsg
	Case $GUI_EVENT_CLOSE
		Exit

	Case $button
		$identifiant = GuiCtrlRead($input1)
		$password = GuiCtrlRead($input2)
		$salt = GuiCtrlRead($input3)
		$byte = GuiCtrlRead($input4)

		$StringLen = StringLen($identifiant) + 2
		$hex = Hex($StringLen, 2) ; longueur de la chaine en Hexa

		; On passe la chaine en Hexa
		$aCharacters = StringSplit($identifiant, "")
		$string1 = ""
		For $i = 1 To $aCharacters[0]
			$string1 = $string1 & Hex(Asc($aCharacters[$i]),2)
		Next;

		; On passe la chaine en Hexa
		$aCharacters = StringSplit($salt, "")
		$string2 = ""
		For $i = 1 To $aCharacters[0]
			$string2 = $string2 & Hex(Asc($aCharacters[$i]),2)
		Next;

		$byte2 = Hex(Asc($byte),2) ; on passe byte en Hexa

		$start = "0000000000000000000000"
		$fixed = "1a0900000558010341"

		;On génère le Hash et on ajoute le séparateur ":"
		$md5 = _Crypt_HashData($byte & $password & $salt, $CALG_MD5)
		$md5 = StringReplace($md5,"0x","") ; on supprime le 0x du début de la chaine
		;$md5 = StringRegExpReplace($md5, "..(?!$)", "$0:") ; on ajoute le séparateur ":"

		;On construit la chaine option 90
		$result = StringUpper ($start & $fixed & "01" & $hex & $string1 & "3C12" & $string2 & "0313" & $byte2 & $md5)

		;On affiche la chaine
		GuiCtrlSetData($Edit1,$result)

 EndSwitch
WEnd